Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

sauce::internal::OpaqueBinding Member List

This is the complete list of members for sauce::internal::OpaqueBinding, including all inherited members.

eagerlyInject(OpaqueBindingPtr, sauce::shared_ptr< Injector >) const =0 | sauce::internal::OpaqueBinding | pure virtual
getKey() const =0 | sauce::internal::OpaqueBinding | pure virtual
getName() const =0 | sauce::internal::OpaqueBinding | pure virtual
getScopeKey() const =0 | sauce::internal::OpaqueBinding | pure virtual
isModifier() const | sauce::internal::OpaqueBinding | inline virtual
setDynamicDependencyNames(std::vector< std::string > const &)=0 | sauce::internal::OpaqueBinding | pure virtual
setName(std::string)=0 | sauce::internal::OpaqueBinding | pure virtual
~OpaqueBinding() (defined in sauce::internal::OpaqueBinding) | sauce::internal::OpaqueBinding | inline virtual